%global pypi_name pyjokes
%global with_tests 0
%global global_desc One line jokes for programmers (jokes as a service)

Name:           %{pypi_name}
Version:        0.5.0
Release:        7%{?dist}
Summary:        %{global_desc}

License:        BSD
URL:            http://pyjok.es/
Source0:        https://github.com/%{pypi_name}/%{pypi_name}/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python2-devel
%if 0%{?with_tests}
BuildRequires:  python2-pytest
BuildRequires:  python3-pytest
%endif


%description
%{global_desc}.

%package     -n python2-%{pypi_name}
Summary: %{global_desc}

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{global_desc}.

%package     -n python3-%{pypi_name}
Summary: %{global_desc}. This package includes a commandline interface.

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{global_desc}.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
rm %{buildroot}%{_bindir}/*
%py3_install

%check
%if %{with_tests}
%{__python2} setup.py test
%{__python3} setup.py test
%endif

%files -n python2-%{pypi_name}
%license LICENCE.txt
%doc docs/*
# For noarch packages: sitelib
%{python2_sitelib}/pyjokes-*
%{python2_sitelib}/pyjokes/

%files -n python3-%{pypi_name}
%license LICENCE.txt
%doc docs/*
# For noarch packages: sitelib
%{_bindir}/pyjoke*
%{python3_sitelib}/pyjokes-*
%{python3_sitelib}/pyjokes/

%changelog
* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-7
- Escape macros in %%changelog

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 04 2018 Lumír Balhar <lbalhar@redhat.com> - 0.5.0-5
- Fix directory ownership

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 10 2017 Paul Whalen <pwhalen@redhat.com> - 0.5.0-3
- Fix python2-pyjokes requires both Python 2 and Python 3(BZ#1448514)

* Fri Mar 03 2017 Paul Whalen <pwhalen@redhat.com> - 0.5.0-2
- Add %%python_provide macro.
- Consistently use %%pypi_name macro.
- Add global decription macro.

* Fri Feb 24 2017 Paul Whalen <pwhalen@redhat.com> 0.5.0-1
- Initial packaging.
